Overclock.net banner
1 - 20 of 21 Posts

·
Registered
Joined
·
2,661 Posts
Discussion Starter · #1 ·
I am getting a second hand psp, and would like some answers to some questions I have.

1) I am getting it used to I don't know what firmware it will have, and if I will be able to do mods and such if it has the newest firmware. I heard that 2.6 got hacked, but is this true?
2) I plan on getting a 1gb sd card for it, is there a specific brand I should stay away from?
3. I plan on putting the web browser on it, how do I do it if I have an old firmware (before 2.0) or if I happen to have a newer firmware which I hear isn't hacked yet (2.0 and above).
4. I MAY put linux on it, I thought about windows 95/98, but I think that linux would be better for it because well linux can be tweaked to run really well on almost anything. So If I do plan on putting an os is there any really good linux that will aloow me to browse the net, and be able to fit on a 1gb sd card, or should I go with windows 95/98?

Thanks sooo much for helping me in advanced.
 

·
Registered
Joined
·
604 Posts
I wouldn't put windows 9x on it... I remember being at the airport and the all the terminals where you can check your flight times had Windows 95 red-x errors on them... You couldn't click out of them either (they were touch screen terminals). You would be better off with something more stable and open, like a *nix platform.
 

·
Registered
Joined
·
2,661 Posts
Discussion Starter · #3 ·
So you mean like linux?
 

·
Premium Member
Joined
·
7,397 Posts
Quote:


Originally Posted by xypex982

1) I am getting it used to I don't know what firmware it will have, and if I will be able to do mods and such if it has the newest firmware. I heard that 2.6 got hacked, but is this true?

2.0 and up are only able to run selected homebrew apps. You need a GTA:LCS UMD and a specific savegame to get that working, so it's kind of a pain. And no kernel mode access, so no UMD emulators.

Quote:


2) I plan on getting a 1gb sd card for it, is there a specific brand I should stay away from?

Sony, they're too expensive. Get a SanDisk, they are good quality and good price.

Quote:


3. I plan on putting the web browser on it, how do I do it if I have an old firmware (before 2.0) or if I happen to have a newer firmware which I hear isn't hacked yet (2.0 and above).

The web browser is in v2.0 and above. So if your PSP have v2.0, the only decision to make is whether to keep 2.0 and the web browser (and the ability to play all new UMD games) or downgrade to 1.5 for more complete homebrew capabilities (but many new games will not run on 1.5).

If you have 2.01 or higher you can't downgrade, so the choice is taken away from you.

Quote:


4. I MAY put linux on it, I thought about windows 95/98, but I think that linux would be better for it because well linux can be tweaked to run really well on almost anything. So If I do plan on putting an os is there any really good linux that will aloow me to browse the net, and be able to fit on a 1gb sd card, or should I go with windows 95/98?

I agree with the previous poster, don't bother with Windows. I've heard it takes like 20 minutes just to boot that Win95 PSP hack. Blech, what's the point. I don't see much point in Linux either, but if that's your bag, go for it. But I think you will need a v1.5 PSP to do it, I would think you need kernel access to run Linux. And there is no kernel access so far in 2.0 and up.
 
  • Rep+
Reactions: xypex982

·
Registered
Joined
·
2,661 Posts
Discussion Starter · #5 ·
Thanks you are a big help, well I have decided on sandisk because as vulcan said hey are WAYYY cheaper and do the same thing. So now after thinking it over I probley won't put an os on it, but I want emulators, so which firmware lets me do that, and play psp games such as gta:lcs, smackdown vs raw 2006, and grand turismo 4?
 

·
Premium Member
Joined
·
7,397 Posts
1.5 is best for homebrew because you don't need to do anything special to make it work. But if you want to play GTA:LCS, you need to be at 2.0 or higher. You can still run emulators and other homebrew using the GTA softmod, you just need to Google for the save game with the exploit and figure out how to use it (I don't know myself).
 

·
Registered
Joined
·
3,792 Posts
Hey man im selling my psp and its prettyy much brand new with 1gb card, playgear pocket case, all the things that came with it including the box and 2 games GTA, and Socom with mic....all for about $400 (Negotitable).....its in excelents conditons i got it for christmas and i dont really use it that much....
http://www.overclock.net/sale/67575-...cessories.html
 

·
Registered
Joined
·
2,661 Posts
Discussion Starter · #8 ·
Well I would get it orange but 2 things

1) way to expensive, I am getting a second hand one off of ebay and that will be like anywhere from 180-205 +sh&h, and that comes with the psp and everything that came in the box except the spiderman 2 movie, and after getting that I am gonna get a sandisk 1gb cad which is wayyyyy cheaper than the 1gb sony and works the same.

2) The firmware is too new, I am pretty sure I am gonna have 2.0 since I can run gbc,gba,snes,nes,sega emulators with it and also be able to play gta:lcs which I heard has to have 2.0 or higher.
 

·
Registered
Joined
·
2,823 Posts
Man i think i will jsut post all my PSP faq's in this section insted of w8in for FAQ's again.

Will post them when i get home and will write some later for you guys.

Btw, wats ur FW atm?
1.5 ?
Have one at 1.5 and one latest or 2.0 if u can then u have the best of both worlds.
 

·
Registered
Joined
·
2,661 Posts
Discussion Starter · #10 ·
I don't have my psp...yet. I will either get the cash to get one on my b-day (March 8th) or really soon since I already have like $125 and I se them going for 160-180 on ebay.
 

·
Registered
Joined
·
2,661 Posts
Discussion Starter · #11 ·
Ok I may be getting it really soon because my parent stubled upon a nice lump of cash, so I have to ask do the 2nd hand psps at eb games have firmware 2.0? I have settled on 2.0 because I can use the gta lcs method since it is the 1st game I'm gonna get, and all I plan on doin is putting emulators on it. Last thing what sites do you psp modders use to get your emulators?
 

·
Registered
Joined
·
3,689 Posts
Well, if you get 2.0 you can downgrade to 1.5 to have the maximum homebrew capabilities with less hassle than 2.0.

If you have anything higher than 2.0, you will need GTA:LCS to play homebrew games like someone said earlier.
 

·
Premium Member
Joined
·
7,397 Posts
Quote:


Originally Posted by xypex982

do the 2nd hand psps at eb games have firmware 2.0?

That's going to depend on how old the PSP is and whether the original owner upgraded the firmware. Newer PSPs hit the shelves with newer firmware, but I would be surprised if a second-hand PSP is new enough to have had anything higher than 2.0 out of the box. After that, it's a matter of whether the original owner did a firmware upgrade or not.

It shouldn't matter anyway, the GTA:LCS softmod has been made to work on all versions higher than 2.0, even 2.6. The only big deal about 2.0 specifically is that you can downgrade to 1.5, which is not an option for you since you want to play GTA.
 
  • Rep+
Reactions: xypex982

·
Registered
Joined
·
2,661 Posts
Discussion Starter · #14 ·
Ohhh ok so now I get it I can use emulators on firmwares above 2.0 but I have to use the gta mod, ok. Before I thought that 2.0 was the last firmware that could use emulators.
 

·
Registered
Joined
·
3,689 Posts
It was until about a month ago, maybe month and a half.

The only ones you can't use emulators on are 1.51 and 1.52, but you could easily just upgrade to 2.0 or above.

I wouldn't suggest going above 2.0 unless you need to for a game because if you ever wanted to, you could still downgrade to 1.5.
 

·
Registered
Joined
·
2,661 Posts
Discussion Starter · #16 ·
Ok, good thanks, the reason why I didn't know all of this is because I talked to a freind of mikne who has a psp and has it all hacked out, but he is a little behind in psp info I guess, thanks again guys.
 

·
Registered
Joined
·
2,823 Posts
Dude go on ebay and search for PSP's with firmware versions 1.5 - 2.0.

2.0 is the highest you want, i payed a ton for mine, well £240 with GTA:LCS, that golf game, Litte britain UMD + Its a white PSP


Give me a bell on MSN or whateva, ive got tonz of programs i can sed to ya.

Plus yes 2.01+ has homebrew but tbh its nothing compared to 2.0 and 1.5, half of them crash and jsut to much work to do an emulation.

Now as i have a 2.0 plus its white (that means im idolised at skool lol), Emulators and Sonic 2 rom i play it on the bog


Nerly completed by jsut playin wen on the toilet lol.
 

·
Registered
Joined
·
2,661 Posts
Discussion Starter · #19 ·
Ok, well freind is giving me a great deal on one but he said he already updated it so it might be like 2.5 or 2.6, and if this is gonna really affect my emulator abilities then I will forget getting it from him. So my question is will 2.5 or 2.6 affect my emualtor wants serverly compared to 2.0, and if it does can I downgrade the 2.5/2.6 to 2.0? Thanks for leading me through all fo this I just really don't want to waste my $ or time.
 

·
Premium Member
Joined
·
7,397 Posts
You cannot downgrade to 2.0 from 2.5 or 2.6. Homebrew that runs in application mode (as opposed to kernel mode) should run with the GTA:LCS softmod. You'll have to find a list of the specific homebrew packages that do or don't work on specific firmware versions on one of the PSP mod sites, I don't know any more than that (I'm still on 1.5, so I'm not paying that much attention to the 2.0+ world yet).
 
1 - 20 of 21 Posts
This is an older thread, you may not receive a response, and could be reviving an old thread. Please consider creating a new thread.
Top